module.exports = {
  create: {
    requestBody: [
      "planid",
      "termid",
      "batchid",
      "classid",
      "studentid",
      "files",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "planid",
      "termid",
      "batchid",
      "classid",
      "studentid",
      "files",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        planid:"planid",
        termid: "termid",
        batchid: "batchid",
        classid: "classid",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  export: {
    parameters: {
      query: {
        planid: "planid",
        termid: "termid",
        batchid: "batchid",
        classid: "classid",
        studentid: "studentid",
        id: "id",
      },
    },
    service: "export",
  },
};
